## atril 1.8.0

=== debian/changelog ===
atril (1.8.0-0+qiana) qiana; urgency=low

  * New upstream release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 06 Mar 2014 23:20:34 +0100

atril (1.7.90-1) unstable; urgency=low

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 19 Feb 2014 19:01:57 +0100

atril (1.7.2-1) unstable; urgency=low

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 13 Feb 2014 22:12:45 +0100

atril (1.7.1-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 24 Jan 2014 19:26:04 +0100

atril (1.7.0-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Tue, 21 Jan 2014 14:17:54 +0100

mate-document-viewer (1.6.0-2) unstable; urgency=low

  * Disable impress backend.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Tue, 23 Jul 2013 01:17:30 +0200

mate-document-viewer (1.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 01 Apr 2013 11:47:49 +0200

mate-document-viewer (1.5.0-1) unstable; urgency=low

  * New upstream development release.
  * Add libgxps-dev in build depends.
  * Remove deprecated libs.
  * Depend to debhelper 9.
  * debian/rules: remove mateconf stuff.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 14 Nov 2012 19:41:03 +0100

mate-document-viewer (1.4.0-1) unstable; urgency=low

  * New upstream release. 

 -- Steve Zesch <stevezesch2@gmail.com>  Sun, 15 Jul 2012 13:54:00 -0400

mate-document-viewer (1.2.0-4) unstable; urgency=low

  * Rebuild.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 14 Jun 2012 00:15:41 +0200

mate-document-viewer (1.2.0-3) unstable; urgency=low

  * Rebuild.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 06 May 2012 12:11:49 +0200

mate-document-viewer (1.2.0-2) unstable; urgency=low

  * Rebuild for precise. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 30 Mar 2012 20:33:04 -0400

mate-document-viewer (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 07 Mar 2012 00:44:33 +0100

mate-document-viewer (1.1.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 23 Dec 2011 22:28:21 +0100

mate-document-viewer (1.1.0-2) unstable; urgency=low

  * Fixed conflict between atril and atril-common.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 14 Dec 2011 02:09:35 +0100

mate-document-viewer (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Tue, 13 Dec 2011 23:12:09 +0100

mate-document-viewer (1.0.7-2) unstable; urgency=low

  * Fixed depends.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 27 Nov 2011 00:09:47 +0100

mate-document-viewer (1.0.7-1) unstable; urgency=low

  * New upstream release.
  * Fixed mateconf schemas.
  * Depends on mateconf witb triggers.
  * Added atril-dbg and atril-common packages.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sat, 26 Nov 2011 22:53:12 +0100

mate-document-viewer (1.0.3-3) unstable; urgency=low

  * Split into more appropriate packages.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 10 Nov 2011 00:55:53 +0100

mate-document-viewer (1.0.3-2) unstable; urgency=low

  * New upstream release.
  * Renamed binary package to atril.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 09 Nov 2011 23:56:52 +0100

mate-document-viewer (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 06 Nov 2011 12:24:42 +0100

=== debian/rules ===
#!/usr/bin/make -f

DEB_ATRIL_FLAGS=
ifeq ($(shell dpkg-vendor --is Debian && echo yes),yes)
ifeq ($(shell lsb_release -cs),wheezy)
	DEB_ATRIL_FLAGS=--without-keyring
endif
endif

%:
	dh $@

override_dh_install:
	rm -rfv debian/tmp/usr/lib/*/*.la
	rm -rfv debian/tmp/usr/lib/*/caja/extensions-2.0/*.la
	rm -rfv debian/tmp/usr/lib/*/atril/3/backends/*.la
	rm -rfv debian/tmp/usr/share/MateConf/gsettings/atril.convert
	dh_install --list-missing

override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-scrollkeeper \
		--enable-gtk-doc \
		--enable-djvu \
		--enable-dvi \
		--enable-t1lib \
		--enable-pixbuf \
		--enable-comics \
		--disable-introspection \
		--disable-static \
		--with-gtk=2.0 \
		$(DEB_ATRIL_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=atril-dbg

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## atril 1.28.2

=== meson_options.txt ===
option('comics',
    type: 'boolean',
    value: false,
    description: 'Support for the comic book (cbr) backend'
)
option('djvu',
    type: 'boolean',
    value: false,
    description: 'Support for the djvu backend'
)
option('dvi',
    type: 'boolean',
    value: false,
    description: 'Support for the dvi backend'
)
option('t1lib',
    type: 'boolean',
    value: false,
    description: 'Compile with t1lib for type1 font support in the dvi backend'
)
option('epub',
    type: 'boolean',
    value: false,
    description: 'Support for the epub backend'
)
option('pdf',
    type: 'boolean',
    value: true,
    description: 'Support for the PDF backend'
)
option('pixbuf',
    type: 'boolean',
    value: false,
    description: 'Support for the generic pixbuf image backend'
)
option('ps',
    type: 'boolean',
    value: false,
    description: 'Support for the PostScript backend'
)
option('tiff',
    type: 'boolean',
    value: true,
    description: 'Support for the tiff backend'
)
option('xps',
    type: 'boolean',
    value: false,
    description: 'Support for the xps backend'
)
option('gtk_unix_print',
    type: 'boolean',
    value: true,
    description: 'Print support'
)
option('keyring',
    type: 'boolean',
    value: true,
    description: 'Keyring support for password-protected documents'
)
option('mathjax-directory',
    type: 'string',
    value: '',
    description: 'Path to the system mathjax installation.'
)
option('previewer',
    type: 'boolean',
    value: true,
    description: 'Build the print previewer program'
)
option('thumbnailer',
    type: 'boolean',
    value: true,
    description: 'Build the thumbnailer program'
)
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option('help_files',
    type: 'boolean',
    value: false,
    description: 'Build the help files'
)
option('introspection',
    type: 'boolean',
    value: false,
    description: 'Enable GObject introspection'
)
option('enable_dbus',
    type: 'boolean',
    value: true,
    description: 'Enable D-Bus support'
)
option('deprecated_warnings',
    type: 'boolean',
    value: false,
    description: 'Show build warnings for deprecations'
)
option('enable_debug',
    type: 'boolean',
    value: false,
    description: 'Enable the runtime debugger'
)

option('maintainer_mode',
  type: 'boolean',
  value: false,
  description: 'Enable maintainer mode (extra warnings for deprecated APIs)'
)

## atril 1.8.0+dfsg1

=== debian/changelog ===
atril (1.8.0+dfsg1-2~bpo70+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.

  * debian/control:
    + Drop B-D: libsecret-1-dev. Not available in Debian Wheezy.
  * debian/rules:
    + Add configure option: --without-keyring.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2014 14:40:53 +0200

atril (1.8.0+dfsg1-2) unstable; urgency=low

  * debian/control:
    + Drop B-D: libt1-dev. Package has been removed from Debian unstable.
      (For reference see #638759 and #744881).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2014 08:39:16 +0200

atril (1.8.0+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #734911).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Apr 2014 11:47:31 +0200

=== debian/control ===
Source: atril
Section: x11
Priority: optional
Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
Build-Depends: cdbs,
               debhelper (>= 9),
               intltool,
               mate-common,
               mate-icon-theme,
               yelp-tools,
               gtk-doc-tools,
               libdbus-glib-1-dev,
               libx11-dev,
               libgtk2.0-dev,
               libglib2.0-dev,
               libxml2-dev,
               libsm-dev,
               zlib1g-dev,
               libcaja-extension-dev (>= 1.5.0),
               libpoppler-glib-dev,
               libspectre-dev,
               libtiff4-dev,
               libdjvulibre-dev,
               libkpathsea-dev,
               autotools-dev,
               libgail-dev,
               xsltproc,
               libgxps-dev,
Standards-Version: 3.9.5
Homepage: http://www.mate-desktop.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/atril.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-mate/atril.git

Package: atril
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mate-icon-theme,
         mate-desktop-common,
         shared-mime-info,
         atril-common (>= ${source:Version}),
         libatrildocument3 (= ${binary:Version}),
         libatrilview3 (= ${binary:Version}),
Recommends: dbus-x11,
            gvfs
Provides: pdf-viewer,
          postscript-viewer,
          djvu-viewer,
Suggests: unrar,
          poppler-data,
          caja,
Description: MATE document viewer
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.

Package: atril-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         atril (= ${binary:Version}),
Description: MATE document viewer (debugging symbols)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols of Atril.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: atril-common
Architecture: all
Depends: ${misc:Depends},
Breaks: atril (<= 1.0.3-3),
Description: MATE document viewer (common files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the architecture independent files.

Package: libatrilview3
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libatrildocument3 (= ${binary:Version}),
Breaks: libatril (<< 1.8.0+dfsg1-1),
Description: MATE document viewing library
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the document viewing library used by Atril.

Package: libatrilview-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libatrilview3 (= ${binary:Version}),
Breaks: libatril-dev (<< 1.8.0+dfsg1-1),
Description: MATE document viewing library (development files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the development files of the libatrilview
 library.

Package: libatrilview3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         libatrilview3 (= ${binary:Version}),
Breaks: atril-dbg (<< 1.8.0+dfsg1-1),
Description: MATE document viewing library (debugging symbols)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols of the libatrilview
 library.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: libatrildocument3
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: libatril (<< 1.8.0+dfsg1-1),
Replaces: libatril (<< 1.8.0+dfsg1-1),
Description: MATE document rendering library
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the document rendering library used by Atril.

Package: libatrildocument-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libatrildocument3 (= ${binary:Version}),
Breaks: libatril-dev (<< 1.8.0+dfsg1-1),
Replaces: libatril-dev (<< 1.8.0+dfsg1-1),
Description: MATE document rendering library (development files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the development files of the libatrildocument
 library.

Package: libatrildocument3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         libatrildocument3 (= ${binary:Version}),
Breaks: atril-dbg (<< 1.8.0+dfsg1-1),
Description: MATE document rendering library (debugging symbols)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols of the libatrildocument
 library.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

=== debian/rules ===
#!/usr/bin/make -f

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_BUILD_PARALLEL = 1

DEB_DH_INSTALL_ARGS += --list-missing

DEB_CONFIGURE_SCRIPT := ./autogen.sh

DEB_CONFIGURE_EXTRA_FLAGS := --disable-scrollkeeper \
			--disable-silent-rules \
			--enable-gtk-doc \
			--enable-djvu \
			--enable-dvi \
			--enable-t1lib \
			--enable-pixbuf \
			--enable-comics \
			--disable-introspection \
			--without-keyring \
			--disable-static

install/libatrildocument3::
	rm -Rf debian/tmp/usr/lib/atril/3/backends/*.la

install/atril::
	rm -Rf debian/tmp/usr/lib/x86_64-linux-gnu/caja/extensions-2.0/libatril-properties-page.la

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	        help/
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

## atril 1.8.1

=== debian/changelog ===
atril (1.8.1-0+rebecca) rebecca; urgency=low

  * New upstream release

 -- Frédéric Gaudet <fred@linuxmint.com>  Tue, 14 Oct 2014 14:00:01 +0200

atril (1.8.0-0) unstable; urgency=low

  * New upstream release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 06 Mar 2014 23:20:34 +0100

## atril 1.8.1+dfsg1

=== debian/changelog ===
atril (1.8.1+dfsg1-4) unstable; urgency=medium

  * debian/patches:
    + Add 0002_forgotten-mutex-unlock.patch. Don't forget to unlock the
      trylock'ed mutex. Prevents from unpredictable behaviour after that
      mutex unlocking has been forgotten. (Closes: #779848).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2015 09:26:24 +0100

atril (1.8.1+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0001_open-multiple-files.patch. Allow selecting multiple files
      and opening them in Atril. (Closes: #772014).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Dec 2014 12:32:18 +0100

atril (1.8.1+dfsg1-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control: Bump Standards: to 3.9.6.
    + No changes needed.

  [ Mike Gabriel ]
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/rules:
    + Drop libatril-properties-page.la on non-amd64 builds, as well.
  * debian/copyright:
    + Drop information of ev-version.h. Not shipped in upstream sources
      anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Oct 2014 18:45:13 +0200

atril (1.8.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_add-keywords-key-to-desktop-files.patch. Applied upstream.
    + Drop 1002_FTBFS-atril-with-clang.patch. Applied upstream.
  * debian/copyright:
    + Really mention all upstream files.
    + Fix short license names in two locations.
    + Remove duplicate file paragraph for po/*.po.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Sep 2014 10:47:57 +0200

atril (1.8.0+dfsg1-4) unstable; urgency=medium

  * debian/control:
    + Modify B-D: libtiff4-dev -> libtiff-dev. (Closes: #753820).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Jul 2014 01:15:47 +0200

atril (1.8.0+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + Add 1002_FTBFS-atril-with-clang.patch. Fix FTBFS when build with clang.
      (Closes: #753344).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Jul 2014 20:16:19 +0200

=== debian/control ===
--- 
+++ 
@@ -17,20 +17,21 @@
                libx11-dev,
                libgtk2.0-dev,
                libglib2.0-dev,
+               libsecret-1-dev | libgnome-keyring-dev,
                libxml2-dev,
                libsm-dev,
                zlib1g-dev,
                libcaja-extension-dev (>= 1.5.0),
                libpoppler-glib-dev,
                libspectre-dev,
-               libtiff4-dev,
+               libtiff-dev,
                libdjvulibre-dev,
                libkpathsea-dev,
                autotools-dev,
                libgail-dev,
                xsltproc,
                libgxps-dev,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/atril.git;a=summary
 Vcs-Git: git://anonscm.debian.org/pkg-mate/atril.git

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,11 @@
 
 DEB_BUILD_PARALLEL = 1
 
-DEB_DH_INSTALL_ARGS += --list-missing
+DEB_DH_INSTALL_ARGS += --fail-missing
+
+# use the NEWS file as upstream ChangeLog...
+DEB_DH_INSTALLCHANGELOGS_ARGS = NEWS
+DEB_INSTALL_DOCS_ALL = README AUTHORS
 
 DEB_CONFIGURE_SCRIPT := ./autogen.sh
 
@@ -24,14 +28,19 @@
 			--enable-pixbuf \
 			--enable-comics \
 			--disable-introspection \
-			--without-keyring \
 			--disable-static
 
 install/libatrildocument3::
 	rm -Rf debian/tmp/usr/lib/atril/3/backends/*.la
 
 install/atril::
-	rm -Rf debian/tmp/usr/lib/x86_64-linux-gnu/caja/extensions-2.0/libatril-properties-page.la
+	rm -Rf debian/tmp/usr/lib/*/caja/extensions-2.0/libatril-properties-page.la
+
+common-install-indep:: remove-cruft
+common-install-arch:: remove-cruft
+
+remove-cruft::
+	rm -f debian/tmp/usr/lib/*.la
 
 get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
 	@

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg1// \
http://git.mate-desktop.org/atril/ \
    snapshot/atril-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz

## atril 1.10.2

=== debian/changelog ===
atril (1.10.2-1+rafaela) rafaela; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 31 Aug 2015 16:38:06 +0300

atril (1.10.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 13 Jul 2015 17:21:00 +0300

atril (1.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 23 Jun 2015 16:58:29 +0300

atril (1.9.90-1) unstable; urgency=low

  * New upstream release candidate

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sat, 04 Apr 2015 20:29:19 +0200

atril (1.9.2-1) unstable; urgency=medium

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 22 Jan 2015 10:00:04 +0100

atril (1.9.0-1) unstable; urgency=low

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Tue, 22 Apr 2014 16:09:52 +0200

=== debian/control ===
Source: atril
Section: x11
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
           Martin Wimpress <code@flexion.org>,
Build-Depends: debhelper (>= 9),
               gobject-introspection,
               libgirepository1.0-dev,
               intltool,
               libcaja-extension-dev (>= 1.5.0),
               libdjvulibre-dev,
               libgail-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libgxps-dev,
               libkpathsea-dev,
               libmate-desktop-dev (>= 1.9.0),
               libpoppler-glib-dev,
               libsecret-1-dev,
               libsm-dev,
               libspectre-dev,
               libtiff-dev,
               libwebkitgtk-dev (>= 2.4.3),
               libx11-dev,
               libxml2-dev,
               lsb-release,
               mate-common (>= 1.10),
               mate-icon-theme,
               xsltproc,
               yelp-tools,
               zlib1g-dev,
Standards-Version: 3.9.6
Homepage: http://www.mate-desktop.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/atril.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-mate/atril.git

Package: atril
Architecture: any
Depends: atril-common (>= ${source:Version}),
         libatrildocument3 (= ${binary:Version}),
         libatrilview3 (= ${binary:Version}),
         mate-desktop-common,
         mate-icon-theme,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dbus-x11,
            gvfs,
Provides: djvu-viewer,
          pdf-viewer,
          postscript-viewer,
Suggests: caja,
          poppler-data,
          unrar,
Description: MATE document viewer
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.

Package: atril-dbg
Section: debug
Priority: extra
Architecture: any
Depends: atril (= ${binary:Version}),
         ${misc:Depends},
Description: MATE document viewer (debugging symbols)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols for Atril.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: atril-common
Architecture: all
Depends: ${misc:Depends},
Breaks: atril (<= 1.0.3-3),
Description: MATE document viewer (common files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the architecture independent files.

Package: libatrilview3
Section: libs
Architecture: any
Depends: libatrildocument3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: libatril (<< 1.9.0),
Description: MATE document viewing library
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the document viewing library used by Atril.

Package: libatrilview-dev
Section: libdevel
Architecture: any
Depends: libatrilview3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libatril-dev (<< 1.9.0),
Description: MATE document viewing library (development files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the development files for the libatrilview
 library.

Package: libatrilview3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libatrilview3 (= ${binary:Version}),
         ${misc:Depends},
Breaks: atril-dbg (<< 1.9.0),
Description: MATE document viewing library (debugging symbols)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols for the libatrilview
 library.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: libatrildocument3
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libatril (<< 1.9.0),
Replaces: libatril (<< 1.9.0),
Description: MATE document rendering library
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the document rendering library used by Atril.

Package: libatrildocument-dev
Section: libdevel
Architecture: any
Depends: libatrildocument3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libatril-dev (<< 1.9.0),
Replaces: libatril-dev (<< 1.9.0),
Description: MATE document rendering library (development files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the development files for the libatrildocument
 library.

Package: libatrildocument3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libatrildocument3 (= ${binary:Version}),
         ${misc:Depends},
Breaks: atril-dbg (<< 1.9.0),
Description: MATE document rendering library (debugging symbols)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols for the libatrildocument
 library.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: gir1.2-atril
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: GObject introspection data for Atril
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains introspection data for Atril.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

TYPELIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')

DHFLAGS=--parallel
DEB_ATRIL_FLAGS=
ifeq ($(shell dpkg-vendor --is Debian && echo yes),yes)
ifeq ($(shell lsb_release -cs),wheezy)
	DEB_ATRIL_FLAGS=--without-keyring
endif
endif

%:
	dh $@ $(DHFLAGS)

override_dh_install:
	rm -rfv debian/tmp/usr/lib/*/*.la
	rm -rfv debian/tmp/usr/lib/*/caja/extensions-2.0/*.la
	rm -rfv debian/tmp/usr/lib/*/atril/3/backends/*.la
	rm -rfv debian/tmp/usr/share/MateConf/gsettings/atril.convert
	sed 's@TYPELIBDIR@${TYPELIBDIR}@' debian/gir1.2-atril.install.in > debian/gir1.2-atril.install
	dh_install --fail-missing

override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

override_dh_auto_configure:
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--enable-gtk-doc \
		--enable-djvu \
		--enable-dvi \
		--enable-t1lib \
		--enable-pixbuf \
		--enable-comics \
		--enable-introspection \
		--disable-static \
		--with-gtk=2.0 \
		$(DEB_ATRIL_FLAGS)

override_dh_strip:
	dh_strip -patril --dbg-package=atril-dbg
	dh_strip -plibatrildocument3 --dbg-package=libatrildocument3-dbg
	dh_strip -plibatrilview3 --dbg-package=libatrilview3-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## atril 1.10.2+repack1

=== debian/changelog ===
atril (1.10.2+repack1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/{libatrildocument3,atril}.install:
    + Process with wrap-and-sort.
  * debian/control:
    + Clean up build dependencies. Process with wrap-and-sort.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Sep 2015 05:17:52 +0200

atril (1.10.1+repack1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Drop 0001_open-multiple-files.patch. Applied upstream.
    + Drop 0002_forgotten-mutex-unlock.patch. Applied upstream.
    + Drop 0003_bug-tracker-url.patch. Applied upstream.
    + Drop 2001_omit-gfdl-licensed-help-files.patch. Help files are DFSG
      compliant.
  * debian/atril-common.install:
    + Add usr/share/{appdata,caja/extensions,gtk-doc,help}
  * debian/atril.install:
    + Add usr/lib/*/{atrild,atril-convert-metadata}.
    + Remove usr/share/MateConf/gettings/atril.convert.
  * debian/control:
    + Update for new upstream release.
    + Remove cdbs.
  * debian/gir1.2-atril.install:
    + New package.
  * debian/watch:
    + Remove +dfsg1 suffix.
  * debian/rules:
    + Update for new release.

  [ Mike Gabriel ]
  * debian/copyright:
    + Use same indentation style for help/ files.
  * debian/control:
    + Add Martin Wimpress to Uploaders: field.
  * Don't ship embedded MathJax Javascript library. Use Debian's version of
    libjs-mathjax instead. This requires repacking atril's orig tarball (for
    dropping the embedded code).
  * debian/*.symbols:
    + Update .symbols files for shared libraries.
  * debian/*.install:
    + Fix various install locations for this new upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Aug 2015 12:53:51 +0200

atril (1.8.1+dfsg1-5) unstable; urgency=medium

  * debian/patches:
    + Add 0003_bug-tracker-url.patch. Point to the Github issue tracker
      where atril sources are hosted. (Closes: #780500).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 28 May 2015 10:44:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: atril
 Section: x11
 Priority: optional
-Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
+Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
@@ -9,7 +9,6 @@
            Martin Wimpress <code@flexion.org>,
 Build-Depends: debhelper (>= 9),
                gobject-introspection,
-               libgirepository1.0-dev,
                intltool,
                libcaja-extension-dev (>= 1.5.0),
                libdjvulibre-dev,
@@ -143,7 +142,8 @@
 Package: libatrildocument3
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
+Depends: libjs-mathjax,
+         ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libatril (<< 1.9.0),
 Replaces: libatril (<< 1.9.0),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
-TYPELIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')
+PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
+PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
+UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
+DTYPE = +repack1
+VER  ?= $(subst $(DTYPE),,$(UVER))
+
 
 DHFLAGS=--parallel
 DEB_ATRIL_FLAGS=
@@ -18,7 +23,6 @@
 	rm -rfv debian/tmp/usr/lib/*/caja/extensions-2.0/*.la
 	rm -rfv debian/tmp/usr/lib/*/atril/3/backends/*.la
 	rm -rfv debian/tmp/usr/share/MateConf/gsettings/atril.convert
-	sed 's@TYPELIBDIR@${TYPELIBDIR}@' debian/gir1.2-atril.install.in > debian/gir1.2-atril.install
 	dh_install --fail-missing
 
 override_dh_auto_test:
@@ -46,6 +50,23 @@
 override_dh_builddeb:
 	dh_builddeb -- -Zxz -z9
 
-get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --destdir=..
+get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
+	@
 
+$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
+	@echo "# Downloading..."
+	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
+	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
+	@echo "# Extracting..."
+	mkdir $(PKG)-$(VER) \
+	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
+	    || $(RM) -r $(PKG)-$(VER)
+	@echo "# Cleaning-up..."
+	cd $(PKG)-$(VER) \
+	    && $(RM) -r -v \
+	        backend/epub/MathJax/
+	$(RM) -v $(PKG)_$(VER).orig.tar.*
+	@echo "# Packing..."
+	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
+	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
+	    && $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack1// \
http://git.mate-desktop.org/atril/ \
    snapshot/atril-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz

## atril 1.12.2

=== debian/changelog ===
atril (1.12.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Drop 2001_dont-ship-mathjax.patch. Applied upstream.
  * debian/watch:
    + Drop +repack suffix.
  * debian/rules:
    + Remove obsolete repacking.
  * debian/control:
    + Drop obsolete B-D and D (atril): mate-icon-theme.
    + Versioned B-D: mate-common (>= 1.12), libcaja-extension-dev (>= 1.12) and
      libmate-desktop-dev (>= 1.12).

  [ Mike Gabriel ]
  * debian/control:
    + Add D (gir1.2-atril): libatrildocument3. (Closes: #799068).
    + Versioned B-D: libgxps-dev (>= 0.2.0).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Jan 2016 12:51:31 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
 Build-Depends: debhelper (>= 9),
                gobject-introspection,
                intltool,
-               libcaja-extension-dev (>= 1.5.0),
+               libcaja-extension-dev (>= 1.12),
                libdjvulibre-dev,
                libgail-dev,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
-               libgxps-dev,
+               libgxps-dev (>= 0.2.0),
                libkpathsea-dev,
-               libmate-desktop-dev (>= 1.9.0),
+               libmate-desktop-dev (>= 1.12),
                libpoppler-glib-dev,
                libsecret-1-dev,
                libsm-dev,
@@ -28,8 +28,7 @@
                libx11-dev,
                libxml2-dev,
                lsb-release,
-               mate-common (>= 1.10),
-               mate-icon-theme,
+               mate-common (>= 1.12),
                xsltproc,
                yelp-tools,
                zlib1g-dev,
@@ -44,7 +43,6 @@
          libatrildocument3 (= ${binary:Version}),
          libatrilview3 (= ${binary:Version}),
          mate-desktop-common,
-         mate-icon-theme,
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -193,6 +191,7 @@
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
+         libatrildocument3,
 Description: GObject introspection data for Atril
  Atril is a simple multi-page document viewer.  It can display
  and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel
DEB_ATRIL_FLAGS=
ifeq ($(shell dpkg-vendor --is Debian && echo yes),yes)
ifeq ($(shell lsb_release -cs),wheezy)
	DEB_ATRIL_FLAGS=--without-keyring
endif
endif

%:
	dh $@ $(DHFLAGS)

override_dh_install:
	rm -rfv debian/tmp/usr/lib/*/*.la
	rm -rfv debian/tmp/usr/lib/*/caja/extensions-2.0/*.la
	rm -rfv debian/tmp/usr/lib/*/atril/3/backends/*.la
	rm -rfv debian/tmp/usr/share/MateConf/gsettings/atril.convert
	dh_install --fail-missing

override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

override_dh_auto_configure:
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--enable-gtk-doc \
		--enable-djvu \
		--enable-dvi \
		--enable-t1lib \
		--enable-pixbuf \
		--enable-comics \
		--enable-introspection \
		--disable-static \
		--with-gtk=2.0 \
		$(DEB_ATRIL_FLAGS)

override_dh_strip:
	dh_strip -patril --dbg-package=atril-dbg
	dh_strip -plibatrildocument3 --dbg-package=libatrildocument3-dbg
	dh_strip -plibatrilview3 --dbg-package=libatrilview3-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## atril 1.14.2

=== debian/changelog ===
atril (1.14.2-1+sarah) sarah; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 09 Aug 2016 22:31:12 +0300

atril (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 24 May 2016 10:14:31 +0300

atril (1.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 11 Apr 2016 11:30:35 +0300

atril (1.13.1-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 24 Feb 2016 14:02:02 +0300

atril (1.13.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 16 Feb 2016 11:39:13 +0300

atril (1.12.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 07 Dec 2015 11:15:37 +0300

atril (1.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Nov 2015 13:15:02 +0000

atril (1.11.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Thu, 15 Oct 2015 16:47:00 +0300

atril (1.10.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 31 Aug 2015 16:38:06 +0300

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: atril
 Section: x11
 Priority: optional
-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
 Build-Depends: debhelper (>= 9),
+               dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                intltool,
-               libcaja-extension-dev (>= 1.12),
+               libcaja-extension-dev (>= 1.14),
                libdjvulibre-dev,
                libgail-dev,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
-               libgxps-dev (>= 0.2.0),
+               libgxps-dev,
                libkpathsea-dev,
-               libmate-desktop-dev (>= 1.12),
+               libmate-desktop-dev (>= 1.14),
                libpoppler-glib-dev,
                libsecret-1-dev,
                libsm-dev,
@@ -28,11 +29,11 @@
                libx11-dev,
                libxml2-dev,
                lsb-release,
-               mate-common (>= 1.12),
+               mate-common (>= 1.14),
                xsltproc,
                yelp-tools,
                zlib1g-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/atril.git;a=summary
 Vcs-Git: git://anonscm.debian.org/pkg-mate/atril.git
@@ -188,10 +189,10 @@
 
 Package: gir1.2-atril
 Architecture: any
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends},
-         libatrildocument3,
+Depends: libatrildocument3,
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: GObject introspection data for Atril
  Atril is a simple multi-page document viewer.  It can display
  and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+TYPELIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 DHFLAGS=--parallel
 DEB_ATRIL_FLAGS=
@@ -15,7 +21,7 @@
 	rm -rfv debian/tmp/usr/lib/*/*.la
 	rm -rfv debian/tmp/usr/lib/*/caja/extensions-2.0/*.la
 	rm -rfv debian/tmp/usr/lib/*/atril/3/backends/*.la
-	rm -rfv debian/tmp/usr/share/MateConf/gsettings/atril.convert
+	sed 's@TYPELIBDIR@${TYPELIBDIR}@' debian/gir1.2-atril.install.in > debian/gir1.2-atril.install
 	dh_install --fail-missing
 
 override_dh_auto_test:
@@ -33,6 +39,7 @@
 		--enable-introspection \
 		--disable-static \
 		--with-gtk=2.0 \
+		--libexecdir=/usr/lib/atril \
 		$(DEB_ATRIL_FLAGS)
 
 override_dh_strip:
